!c Description: 
!c   ファイル名設定用モジュール
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2004, All rights reserved

module fileset
  implicit none
  save
  character(80) :: cfgfile = "arare.conf" !設定ファイル
  character(80) :: fs_RegFile             !出力 nc ファイル
  character(80) :: sf_RegFile             !出力 nc ファイル
  character(80) :: ss_RegFile             !出力 nc ファイル
  character(80) :: fs_DimFile             !出力 nc ファイル
  character(80) :: sf_DimFile             !出力 nc ファイル
  character(80) :: ss_DimFile             !出力 nc ファイル
  character(80) :: basicfile              !基本場設定
  character(80) :: distrbfile             !擾乱場設定

contains
  subroutine fileset_init
    character(80) :: flag

    ! NAMELIST の定義
    NAMELIST /fileset/ flag, basicfile, distrbfile
    
    !変数の取り出し
    open (10, FILE=cfgfile)
    read(10, NML=fileset)
    close(10)

    fs_RegFile = "arare_fs-"     // trim(flag) // ".nc"
    sf_RegFile = "arare_sf-"     // trim(flag) // ".nc"
    ss_RegFile = "arare_ss-"     // trim(flag) // ".nc"
    fs_DimFile = "arare_dim_fs-" // trim(flag) // ".nc"
    sf_DimFile = "arare_dim_sf-" // trim(flag) // ".nc"
    ss_DimFile = "arare_dim_ss-" // trim(flag) // ".nc"
    
  end subroutine fileset_init
  
end module fileset

